#ifndef __CF_IMAGE_H__
#define __CF_IMAGE_H__

#include <Gui/CFMisc.h>
#include <string>
#include <gdkmm/pixbuf.h>

CF_NAMESPACE_BEGIN

class CFImage : public CFMisc {
public:
    CFImage();
    CFImage(const std::string& file);
    CFImage(const Glib::RefPtr<Gdk::Pixbuf>& pixbuf);
    virtual ~CFImage();

    void set(const std::string& filename);
    void set(const Glib::RefPtr<Gdk::Pixbuf>& pixbuf);
    void setFromIconName(const Glib::ustring& icon_name,
                         CFBuiltinIconSize icon_size);
};

CF_NAMESPACE_END

#endif  // __CF_IMAGE_H__
