#ifndef __CF_MISC_H__
#define __CF_MISC_H__

#include <Gui/CFWidget.h>

CF_NAMESPACE_BEGIN

class CFMisc : public CFWidget {
public:
    virtual ~CFMisc();

    void setAlignment(float xalign = 0.0, float yalign = 0.5);

    void setAlignment(CFAlign xalign = CFALIGN_START,
                      CFAlign yalign = CFALIGN_CENTER);

    void getAlignment(float& xalign, float& yalign);

    void setPadding(int xpad, int ypad);
    void getPadding(int& xpad, int& ypad);

protected:
    CFMisc();
};

CF_NAMESPACE_END
#endif  // __CF_MISC_H__