#ifndef __CF_POPOVER_H__
#define __CF_POPOVER_H__

#include <Gui/CFBin.h>

CF_NAMESPACE_BEGIN

class CFPopover : public CFBin {
public:
    CFPopover();

    CFPopover(CFWidget& relative_to);

    virtual ~CFPopover();

    void setRelativeTo(CFWidget& relative_to);

    void setPosition(CFPositionType position = CFPOS_TOP);

    void popup();

    void popdown();
};

CF_NAMESPACE_END

#endif  // __CF_POPOVER_H__