#ifndef __CFDEFINES_H__
#define __CFDEFINES_H__

#ifdef __cplusplus

#define CF_BEGIN_DECLS_C extern "C" {
#define CF_END_DECLS_C }

#else

#define CF_BEGIN_DECLS_C
#define CF_END_DECLS_C

#endif

#define CF_NAMESPACE_BEGIN namespace Cdos {
#define CF_NAMESPACE_END }

#define CF_EXPORT __attribute__ ((__visibility__("default")))

#define CF_DECL_CONSTEXPR constexpr

#define CF_DISABLE_COPY(Class) \
    Class(); \
    Class(const Class &); \
    Class &operator=(const Class &);

#endif // __CFDEFINES_H__