#ifndef __CF_BIN_H__
#define __CF_BIN_H__

#include <Gui/CFContainer.h>

CF_NAMESPACE_BEGIN

/**
 * \brief CFBin 一个只允许容纳一个控件的容器类.
 *
 * 该类是一个抽象基类， 用于所有只容纳一个控件的派生类型。
 * 提供了访问所容纳控件的的方法。
 */
class CFBin : public CFContainer {
public:
    virtual ~CFBin();

protected:
    /**
     * 构造函数.
     *
     * 该函数为protected的，用于派生类的继承。
     */
    CFBin();
};

CF_NAMESPACE_END

#endif  // __CF_BIN_H__