// Copyright 2017, CDOS.
// All rights reserved.
//
// Author: CDOS Support Team <support_os@sari.ac.cn>
//
// Create widgets with a discrete toggle button.
/**
 * \file
 * 单选框按钮
 */
#ifndef __CF_CHECKBUTTON_H__
#define __CF_CHECKBUTTON_H__

#include "Gui/CFToggleButton.h"

CF_NAMESPACE_BEGIN



class CFCheckButton : public CFToggleButton {
public:
    CFCheckButton();

    virtual ~CFCheckButton();

    CFCheckButton(const Glib::ustring& label, bool mnemonic = false);

protected:
    virtual void onRealObjectInit();

    virtual void onRealObjectFinalize();
};

CF_NAMESPACE_END

#endif  // __CF_CHECKBUTTON_H__