// Copyright 2017, CDOS.
// All rights reserved.
//
// Author: CDOS Support Team <support_os@sari.ac.cn>
//
// The CFScrollbar widget is a horizontal or vertical scrollbar, depending on
// the value of the orientation property.
#ifndef __CF_SCROLLBAR_H__
#define __CF_SCROLLBAR_H__

#include "Gui/CFRange.h"
#include "Gui/CFAdjustment.h"
#include "Gui/CFEnums.h"

CF_NAMESPACE_BEGIN

class CFScrollbar : public CFRange {
public:
    CFScrollbar();
    ~CFScrollbar();
    CFScrollbar(CFOrientation orientation = CFORIENTATION_HORIZONTAL);

    CFScrollbar& operator=(CFScrollbar&& src);
};

CF_NAMESPACE_END

#endif  // __CF_SCROLLBAR_H__
