#ifndef __CF_STACKVIEW_H__
#define __CF_STACKVIEW_H__

#include <Gui/CFContainer.h>

CF_NAMESPACE_BEGIN

class CFStackView : public CFContainer {
public:
    CFStackView();

    virtual ~CFStackView();

    void add(CFWidget& child, const Glib::ustring& name);

    void add(CFWidget& child,
             const Glib::ustring& name,
             const Glib::ustring& title);

    void setVisibleChild(CFWidget& child);

    CFWidget* getVisibleChild();

    void setVisibleChild(const Glib::ustring& name);

    void setVisibleChild(const Glib::ustring& name,
                         CFStackTransitionType transition);

    Glib::ustring getVisibleChildName();
};

CF_NAMESPACE_END

#endif  // __CF_STACKVIEW_H__
