#ifndef __CF_WINDOW_H__
#define __CF_WINDOW_H__

#include <Gui/CFBin.h>
#include <Gui/CFEnums.h>
#include <gdkmm.h>

CF_NAMESPACE_BEGIN

class CFWindow : public CFBin {
public:
    CFWindow(CFWindowType winType = CFWINDOW_TOPLEVEL);

    virtual ~CFWindow();

    void setDefaultSize(int width, int height);

    void fullscreen();

    void setTypeHint(Gdk::WindowTypeHint hint);

    Gdk::WindowTypeHint getTypeHint();
};

CF_NAMESPACE_END

#endif  // __CF_WINDOW_H__